Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_VersionDescriptionSelector

    java.lang.Object
      oracle.ifs.server.S_LibraryObjectSelector
          oracle.ifs.server.S_PublicObjectSelector
              oracle.ifs.server.S_VersionDescriptionSelector

    public class S_VersionDescriptionSelector

extends S_PublicObjectSelector

The `S_VersionDescriptionSelector` class

See Also:
  `S_LibraryService`, `S_LibrarySession`
(Unpublished)

Field Summary

Fields inherited from class oracle.ifs.server.S_LibraryObjectSelector
`m_ClassId, m_IdSortSpecification, m_NameSortSpecification, m_Session`

Constructor Summary
`protected` | `S_VersionDescriptionSelector(S_LibrarySession session, java.lang.Long classId)` Construct a S_VersionDescriptionSelector object.

Method Summary
`protected SortSpecification` | `getVersionNumberSortSpecification()` Returns the Default VersionNumber Specification to be used by this selector.
`protected java.util.Vector` | `selectAllVersionDescriptionData(java.lang.Long seriesid)` return Vector of S_LibraryObjectData representing VersionDescription objects associated with the specified VersionSeries.
`protected S_VersionDescription[]` | `selectAllVersionDescriptions(java.lang.Long seriesid)` return all VersionDescription objects associated with the specified VersionSeries.
`protected java.util.Vector` | `selectVersionDescriptionDataForPublicObject(java.lang.Long poid)` return Vector of S_LibraryObjectData representing VersionDescription objects associated with the specified PublicObject.
`protected S_VersionDescription[]` | `selectVersionDescriptionsForPublicObject(java.lang.Long poid)` return all VersionDescription objects associated with the specified PublicObject.

Methods inherited from class oracle.ifs.server.S_PublicObjectSelector
`getLeftObjectsCountSelectStatement, getLeftObjectsSelectStatement, getRightObjectsCountSelectStatement, getRightObjectsSelectStatement, selectLeftObjects, selectLeftObjectsCount, selectLeftObjectsCursor, selectRightObjects, selectRightObjectsCount, selectRightObjectsCursor`

Methods inherited from class oracle.ifs.server.S_LibraryObjectSelector
`closeCursor, ensureDefaultClass, findObjectById, generateStatementName, generateStatementName, generateStatementName, generateStatementName, getClassData, getClassId, getClassName, getComplexQueryStatement, getCountFromResultSet, getIdSortSpecification, getNameSortSpecification, getResourceString, getService, getSimpleCountQueryStatement, getSimpleQueryStatement, getStatementSuffix, nextItem, selectAllObjects, selectArrayReferencingObjects, selectArrayReferencingObjectsCount, selectArrayReferencingObjectsCursor, selectCount, selectCount, selectObjectById, selectObjects, selectObjects, selectObjects, selectObjects, selectObjectsByMasterId, selectObjectsByStringAttribute, selectObjectsCountByMasterId, selectObjectsCursor, selectObjectsCursorByMasterId, selectObjectsCursorByStringAttribute, selectObjectsExistByMasterId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### S_VersionDescriptionSelector

    protected S_VersionDescriptionSelector(S_LibrarySession session,
                                           java.lang.Long classId)
                                    throws IfsException

  Construct a S_VersionDescriptionSelector object. This is the standard variant.

  Parameters:
    `session` - current LibrarySession
    `classId` - class Id this selector is servicing
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

Method Detail

### selectAllVersionDescriptions

    protected S_VersionDescription[] selectAllVersionDescriptions(java.lang.Long seriesid)
                                                           throws IfsException

  Description copied from class: `S_VersionDescriptionSelector`
  return all VersionDescription objects associated with the specified VersionSeries.

  Parameters:
    `seriesid` - the VersionSeries
  Returns:
    the array of VersionDescription objects.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### selectAllVersionDescriptionData

    protected java.util.Vector selectAllVersionDescriptionData(java.lang.Long seriesid)
                                                        throws IfsException

  Description copied from class: `S_VersionDescriptionSelector`
  return Vector of S_LibraryObjectData representing VersionDescription objects associated with the specified VersionSeries.

  Parameters:
    `seriesid` - the VersionSeries id
  Returns:
    the vector of S_LibraryObjectData
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### selectVersionDescriptionsForPublicObject

    protected S_VersionDescription[] selectVersionDescriptionsForPublicObject(java.lang.Long poid)
                                                                       throws IfsException

  Description copied from class: `S_VersionDescriptionSelector`
  return all VersionDescription objects associated with the specified PublicObject.

  Parameters:
    `poid` - the PublicObject Id
  Returns:
    the array of VersionDescription objects.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### selectVersionDescriptionDataForPublicObject

    protected java.util.Vector selectVersionDescriptionDataForPublicObject(java.lang.Long poid)
                                                                    throws IfsException

  Description copied from class: `S_VersionDescriptionSelector`
  return Vector of S_LibraryObjectData representing VersionDescription objects associated with the specified PublicObject.

  Parameters:
    `poid` - the PublicObject id
  Returns:
    the vector of S_LibraryObjectData
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getVersionNumberSortSpecification

    protected SortSpecification getVersionNumberSortSpecification()
                                                           throws IfsException

  Description copied from class: `S_VersionDescriptionSelector`
  Returns the Default VersionNumber Specification to be used by this selector.

  Returns:
    a Sort specification that is cached by this instance (so it doesn't need to be re-resolved every time)
  Throws:
    `IfsException` - if any other aspect of the operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD